Rules
Create
Create a new rule.
POST /api/public/v1/artifacts/rulesRequest body
Prop
Type
Example
curl -X POST https://api.nairi.ai/api/public/v1/artifacts/rules \
-H "Authorization: Bearer $NAIRI_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"title": "Code Style Rules",
"description": "Guidelines for code formatting",
"content": "Always use 2-space indentation..."
}'const res = await fetch("https://api.nairi.ai/api/public/v1/artifacts/rules", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.NAIRI_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
title: "Code Style Rules",
description: "Guidelines for code formatting",
content: "Always use 2-space indentation...",
}),
});
const data = (await res.json()) as { id: string };require "net/http"
require "json"
require "uri"
uri = URI("https://api.nairi.ai/api/public/v1/artifacts/rules")
req = Net::HTTP::Post.new(uri)
req["Authorization"] = "Bearer #{ENV['NAIRI_API_KEY']}"
req["Content-Type"] = "application/json"
req.body = {
title: "Code Style Rules",
description: "Guidelines for code formatting",
content: "Always use 2-space indentation...",
}.to_json
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
data = JSON.parse(res.body)import os
import requests
res = requests.post(
"https://api.nairi.ai/api/public/v1/artifacts/rules",
headers={
"Authorization": f"Bearer {os.environ['NAIRI_API_KEY']}",
"Content-Type": "application/json",
},
json={
"title": "Code Style Rules",
"description": "Guidelines for code formatting",
"content": "Always use 2-space indentation...",
},
)
data = res.json()package main
import (
"bytes"
"encoding/json"
"fmt"
"io"
"net/http"
"os"
)
func main() {
body, _ := json.Marshal(map[string]any{
"title": "Code Style Rules",
"description": "Guidelines for code formatting",
"content": "Always use 2-space indentation...",
})
req, _ := http.NewRequest("POST", "https://api.nairi.ai/api/public/v1/artifacts/rules", bytes.NewReader(body))
req.Header.Set("Authorization", "Bearer "+os.Getenv("NAIRI_API_KEY"))
req.Header.Set("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
raw, _ := io.ReadAll(res.Body)
var data map[string]any
json.Unmarshal(raw, &data)
fmt.Println(data)
}Response: 201 Created
{
"id": "aar_01KJWRKX0ZNZP91YG3Q353776Q",
"title": "Code Style Rules",
"description": "Guidelines for code formatting",
"created_at": "2026-03-04T15:49:11.000Z",
"updated_at": "2026-03-04T15:49:11.000Z"
}